<div class="container center">
    <label class="title"> {{'titleJustif' | translate}}</label>
    <div class="banner"></div>
    <div class="desc-txt">
      {{'descriptionJustif' | translate}}
    </div>
    <!-- accordion group start -->
    <mat-accordion multi fxLayout="column" fxLayoutGap="30px">
      <!--Justificatif d'identité nationale -->
      <mat-expansion-panel class="accordion">
        <mat-expansion-panel-header class="acc-header">
          <mat-panel-title class="acc-title">
            {{'pieceNationale' | translate}}
          </mat-panel-title>
  
        </mat-expansion-panel-header>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'carteIdentité' | translate}}</span>
  
            <input type="text" minlength="8" class="input-txt" maxlength="8" required placeholder="0714021"
              pattern="[0-9]{3}-[0-9]{2}-[0-9]{3}" />
          </div>
          <div fxLayout="column" class="half-container margin-top-xs">
            <span class="input-label">{{'dateDelivrance' | translate}}</span>
            <input type="date" class="date-input" required>
  
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'rectoFile' | translate}}</span>
            <app-upload-input [docType]="'Cin-Recto'" [reqId]="reqId"></app-upload-input>
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'versoFile' | translate}}</span>
            <app-upload-input [docType]="'Cin-Verso'" [reqId]="reqId"></app-upload-input>
          </div>
        </div>
      </mat-expansion-panel>
  
      <!--Justificatif deuxieme nationalité -->
      <mat-expansion-panel class="accordion">
        <mat-expansion-panel-header class="acc-header">
          <mat-panel-title class="acc-title">
            {{'deuxiemeNationalite' | translate}}
          </mat-panel-title>
  
        </mat-expansion-panel-header>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'carteIdentité' | translate}}</span>
  
            <app-upload-input [docType]="'deuxieme_nationalite'" [reqId]="reqId"></app-upload-input>
          </div>
        </div>
  
      </mat-expansion-panel>
  
      <!--Justificatif résidance a l'etrangé -->
      <mat-expansion-panel class="accordion">
        <mat-expansion-panel-header class="acc-header">
          <mat-panel-title class="acc-title">
            {{'justifEtranger' | translate}}
          </mat-panel-title>
  
        </mat-expansion-panel-header>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'justifEtrangerList' | translate}}</span>
  
            <div fxLayout="row">
              <select class="input-txt-plus" [(ngModel)]="abroadResidencyProof">
                <option value="Passeport étranger">Passeport étranger</option>
                <option value="Titre de séjour">Titre de séjour</option>
                <option value="Carte d’identité à l’étranger">Carte d’identité à l’étranger</option>
                <option value="Carte de résidence à l’étranger">Carte de résidence à l’étranger  </option>
                <option value="Carte consulaire">Carte consulaire</option>
                <option value="Autre">Autre ( à préciser)</option>
              </select>
            </div>
  
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'pieceJustificativer' | translate}}</span>
  
            <input type="text" class="input-txt" />
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'dateDelivrance' | translate}}</span>
            <input type="date" minlength="8" class="input-txt" maxlength="8" required placeholder="0714021"
              pattern="[0-9]{3}-[0-9]{2}-[0-9]{3}" />
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'dateExpiration' | translate}}</span>
            <input type="date" minlength="8" class="input-txt" maxlength="8" required placeholder="0714021"
              pattern="[0-9]{3}-[0-9]{2}-[0-9]{3}" />
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'rectoFile' | translate}}</span>
            <app-upload-input [docType]="abroadResidencyProof" [reqId]="reqId"></app-upload-input>
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'versoFile' | translate}}</span>
            <app-upload-input [docType]="abroadResidencyProof" [reqId]="reqId"></app-upload-input>
          </div>
          <img class="icon-plus" fxHide="{{this.allDisplayedResidency}}" (click)="showMoreProofDisplay('residency')"
            src="../../../assets/img/Composant 82 – 11.svg" />
  
  
        </div>
        <div fxLayout="row" fxHide="{{this.abroadResidencyList.firstProof}}" [style.margin-top.px]="30"
          fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'rectoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'versoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <img class="icon-close" (click)="hideProofDisplay(1,'residency')"
            src="../../../assets/img/Composant 82 – 11.svg" />
  
  
        </div>
        <div fxLayout="row" fxHide="{{this.abroadResidencyList.secondProof}}" [style.margin-top.px]="30"
          fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'rectoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'versoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <img class="icon-close" (click)="hideProofDisplay(2,'residency')"
            src="../../../assets/img/Composant 82 – 11.svg" />
  
  
        </div>
        <div fxLayout="row" fxHide="{{this.abroadResidencyList.thirdProof}}" [style.margin-top.px]="30"
          fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="half-container">
            <span class="input-label">{{'rectoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <div fxLayout="column" class="half-container  margin-top-xs">
            <span class="input-label">{{'versoFile' | translate}}</span>
            <app-upload-input [docType]="'autre_justif_residance'" [reqId]="reqId"></app-upload-input>
          </div>
          <img class="icon-close" (click)="hideProofDisplay(3,'residency')"
            src="../../../assets/img/Composant 82 – 11.svg" />
  
  
        </div>
      </mat-expansion-panel>
  
      <!--Justificatif revenu -->
      <mat-expansion-panel class="accordion">
        <mat-expansion-panel-header class="acc-header">
          <mat-panel-title class="acc-title">
            {{'justifRevenu' | translate}}
          </mat-panel-title>
  
        </mat-expansion-panel-header>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'revenuList' | translate}}</span>
            <div fxLayout="row">
              <select class="input-txt-plus" [(ngModel)]="incomeProof">
                <option value="Fiche de paie récente">Fiche de paie récente</option>
                <option value="Contrat de travail">Contrat de travail</option>
                <option value="Relevé de compte">Relevé de compte</option>
                <option value="Avis d’imposition">Avis d’imposition</option>
                <option value="Lettre de référence de votre banque étrangère">Lettre de référence de votre banque
                  étrangère</option>
                <option value="Autre">Autre ( à préciser)</option>
              </select>
            </div>
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'joindreDocument' | translate}}</span>
  
            <app-upload-input [docType]="incomeProof" [reqId]="reqId"></app-upload-input>
            <img class="icon-plus" fxHide="{{this.allDisplayedIncome}}" (click)="showMoreProofDisplay('income')"
              src="../../../assets/img/Composant 82 – 11.svg" />
  
          </div>
        </div>
        <div fxLayout="row" fxHide="{{this.incomeProofList.firstProof}}" [style.margin-top.px]="30" fxLayout.xs="column"
          fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'joindreDocument' | translate}}</span>
  
            <app-upload-input [docType]="'autre_justif_revenu'" [reqId]="reqId"></app-upload-input>
            <img class="icon-close" (click)="hideProofDisplay(1,'income')"
              src="../../../assets/img/Composant 82 – 11.svg" />
  
          </div>
        </div>
        <div fxLayout="row" fxHide="{{this.incomeProofList.secondProof}}" [style.margin-top.px]="30" fxLayout.xs="column"
          fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'joindreDocument' | translate}}</span>
  
            <app-upload-input [docType]="'autre_justif_revenu'" [reqId]="reqId"></app-upload-input>
            <img class="icon-close" (click)="hideProofDisplay(2,'income')"
              src="../../../assets/img/Composant 82 – 11.svg" />
  
          </div>
        </div>
        <div fxLayout="row" fxHide="{{this.incomeProofList.thirdProof}}" [style.margin-top.px]="30" fxLayout.xs="column"
          fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <span class="input-label">{{'joindreDocument' | translate}}</span>
  
            <app-upload-input [docType]="'autre_justif_revenu'" [reqId]="reqId"></app-upload-input>
            <img class="icon-close" (click)="hideProofDisplay(3,'income')"
              src="../../../assets/img/Composant 82 – 11.svg" />
  
          </div>
        </div>
  
      </mat-expansion-panel>
  
      <!--Justificatif américanité -->
      <mat-expansion-panel class="accordion">
        <mat-expansion-panel-header class="acc-header">
          <mat-panel-title class="acc-title">
            {{'justifAmericanite' | translate}}
          </mat-panel-title>
  
        </mat-expansion-panel-header>
        <div fxLayout="row" [style.margin-top.px]="30" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <div>
              <span class="input-label fatca">{{'fatcaDocument' | translate}}</span>
  
              <img [style.margin-left.px]="20" src="../../../assets/img/Icon feather-download2.svg">
              <span type="button" class="download-file" (click)="downloadFileFatca('facta_document')">
                {{'downaloadFatca'|translate}}
              </span>
  
            </div>
          </div>
        </div>
        <div fxLayout="row" [style.margin-top.px]="8" fxLayout.xs="column" fxLayoutAlign="space-between">
          <div fxLayout="column" class="full-container">
            <app-upload-input [docType]="'fatca'" [reqId]="reqId"></app-upload-input>
          </div>
        </div>
      </mat-expansion-panel>
  
    </mat-accordion>
    <div fxLayout="row" fxLayoutAlign="space-evenly center" [style.margin-top.px]="50">
      <button class="btn-retour ret" fxLayout="row" fxLayoutAlign="space-evenly center" (click)="retourRecap()"><span
          class="material-icons">
          arrow_back_ios
        </span><span class="Retour">{{'back-btn' | translate}}</span></button>
      <button type="submit" class="btn-continuer" (click)="onSubmit()"><span class="continuer">{{'continue' |
          translate}}</span></button>
    </div>
  
    
  </div>
  